ur_rna.Utilities

## Class KeyAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - ur_rna.Utilities.KeyAlreadyExistsException

- All Implemented Interfaces:
    java.io.Serializable

      public class KeyAlreadyExistsException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `defaultMessage`
    `private java.lang.Object` | `existingKey`
    `private java.lang.Object` | `existingValue`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyAlreadyExistsException()`
    `KeyAlreadyExistsException(java.lang.String message)`
    `KeyAlreadyExistsException(java.lang.String message, java.lang.Throwable cause)`
    `KeyAlreadyExistsException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getExistingKey()`
    `java.lang.Object` | `getExistingValue()`
    `KeyAlreadyExistsException` | `initDetails(java.lang.Object existingKey, java.lang.Object existingValue)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### defaultMessage

          protected static java.lang.String defaultMessage

    - #### existingKey

          private java.lang.Object existingKey

    - #### existingValue

          private java.lang.Object existingValue

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyAlreadyExistsException

          public KeyAlreadyExistsException()

    - #### KeyAlreadyExistsException

          public KeyAlreadyExistsException(java.lang.String message)

    - #### KeyAlreadyExistsException

          public KeyAlreadyExistsException(java.lang.String message,
                                           java.lang.Throwable cause)

    - #### KeyAlreadyExistsException

          public KeyAlreadyExistsException(java.lang.Throwable cause)

  - ### Method Detail

    - #### getExistingKey

          public java.lang.Object getExistingKey()

    - #### getExistingValue

          public java.lang.Object getExistingValue()

    - #### initDetails

          public KeyAlreadyExistsException initDetails(java.lang.Object existingKey,
                                                       java.lang.Object existingValue)